Index: /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.WinFormsUI/2.3.1/WinFormsUI-2.3.1/Docking/Helpers/DockHelper.cs
===================================================================
--- /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.WinFormsUI/2.3.1/WinFormsUI-2.3.1/Docking/Helpers/DockHelper.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.WinFormsUI/2.3.1/WinFormsUI-2.3.1/Docking/Helpers/DockHelper.cs	(revision 4068)
@@ -1,103 +1,92 @@
-using System;
 using System.Drawing;
 using System.Windows.Forms;
 
-namespace WeifenLuo.WinFormsUI.Docking
-{
-	internal static class DockHelper
-	{
-		public static bool IsDockStateAutoHide(DockState dockState)
-		{
-			if (dockState == DockState.DockLeftAutoHide ||
-				dockState == DockState.DockRightAutoHide ||
-				dockState == DockState.DockTopAutoHide ||
-				dockState == DockState.DockBottomAutoHide)
-				return true;
-			else
-				return false;
-		}
+namespace WeifenLuo.WinFormsUI.Docking {
+  internal static class DockHelper {
+    public static bool IsDockStateAutoHide(DockState dockState) {
+      if (dockState == DockState.DockLeftAutoHide ||
+        dockState == DockState.DockRightAutoHide ||
+        dockState == DockState.DockTopAutoHide ||
+        dockState == DockState.DockBottomAutoHide)
+        return true;
+      else
+        return false;
+    }
 
-		public static bool IsDockStateValid(DockState dockState, DockAreas dockableAreas)
-		{
-			if (((dockableAreas & DockAreas.Float) == 0) &&
-				(dockState == DockState.Float))
-				return false;
-			else if (((dockableAreas & DockAreas.Document) == 0) &&
-				(dockState == DockState.Document))
-				return false;
-			else if (((dockableAreas & DockAreas.DockLeft) == 0) &&
-				(dockState == DockState.DockLeft || dockState == DockState.DockLeftAutoHide))
-				return false;
-			else if (((dockableAreas & DockAreas.DockRight) == 0) &&
-				(dockState == DockState.DockRight || dockState == DockState.DockRightAutoHide))
-				return false;
-			else if (((dockableAreas & DockAreas.DockTop) == 0) &&
-				(dockState == DockState.DockTop || dockState == DockState.DockTopAutoHide))
-				return false;
-			else if (((dockableAreas & DockAreas.DockBottom) == 0) &&
-				(dockState == DockState.DockBottom || dockState == DockState.DockBottomAutoHide))
-				return false;
-			else
-				return true;
-		}
+    public static bool IsDockStateValid(DockState dockState, DockAreas dockableAreas) {
+      if (((dockableAreas & DockAreas.Float) == 0) &&
+        (dockState == DockState.Float))
+        return false;
+      else if (((dockableAreas & DockAreas.Document) == 0) &&
+        (dockState == DockState.Document))
+        return false;
+      else if (((dockableAreas & DockAreas.DockLeft) == 0) &&
+        (dockState == DockState.DockLeft || dockState == DockState.DockLeftAutoHide))
+        return false;
+      else if (((dockableAreas & DockAreas.DockRight) == 0) &&
+        (dockState == DockState.DockRight || dockState == DockState.DockRightAutoHide))
+        return false;
+      else if (((dockableAreas & DockAreas.DockTop) == 0) &&
+        (dockState == DockState.DockTop || dockState == DockState.DockTopAutoHide))
+        return false;
+      else if (((dockableAreas & DockAreas.DockBottom) == 0) &&
+        (dockState == DockState.DockBottom || dockState == DockState.DockBottomAutoHide))
+        return false;
+      else
+        return true;
+    }
 
-		public static bool IsDockWindowState(DockState state)
-		{
-			if (state == DockState.DockTop || state == DockState.DockBottom || state == DockState.DockLeft ||
-				state == DockState.DockRight || state == DockState.Document)
-				return true;
-			else
-				return false;
-		}
+    public static bool IsDockWindowState(DockState state) {
+      if (state == DockState.DockTop || state == DockState.DockBottom || state == DockState.DockLeft ||
+        state == DockState.DockRight || state == DockState.Document)
+        return true;
+      else
+        return false;
+    }
 
-		public static DockState ToggleAutoHideState(DockState state)
-		{
-			if (state == DockState.DockLeft)
-				return DockState.DockLeftAutoHide;
-			else if (state == DockState.DockRight)
-				return DockState.DockRightAutoHide;
-			else if (state == DockState.DockTop)
-				return DockState.DockTopAutoHide;
-			else if (state == DockState.DockBottom)
-				return DockState.DockBottomAutoHide;
-			else if (state == DockState.DockLeftAutoHide)
-				return DockState.DockLeft;
-			else if (state == DockState.DockRightAutoHide)
-				return DockState.DockRight;
-			else if (state == DockState.DockTopAutoHide)
-				return DockState.DockTop;
-			else if (state == DockState.DockBottomAutoHide)
-				return DockState.DockBottom;
-			else
-				return state;
-		}
+    public static DockState ToggleAutoHideState(DockState state) {
+      if (state == DockState.DockLeft)
+        return DockState.DockLeftAutoHide;
+      else if (state == DockState.DockRight)
+        return DockState.DockRightAutoHide;
+      else if (state == DockState.DockTop)
+        return DockState.DockTopAutoHide;
+      else if (state == DockState.DockBottom)
+        return DockState.DockBottomAutoHide;
+      else if (state == DockState.DockLeftAutoHide)
+        return DockState.DockLeft;
+      else if (state == DockState.DockRightAutoHide)
+        return DockState.DockRight;
+      else if (state == DockState.DockTopAutoHide)
+        return DockState.DockTop;
+      else if (state == DockState.DockBottomAutoHide)
+        return DockState.DockBottom;
+      else
+        return state;
+    }
 
-		public static DockPane PaneAtPoint(Point pt, DockPanel dockPanel)
-		{
-			for (Control control = Win32Helper.ControlAtPoint(pt); control != null; control = control.Parent)
-			{
-				IDockContent content = control as IDockContent;
-				if (content != null && content.DockHandler.DockPanel == dockPanel)
-					return content.DockHandler.Pane;
+    public static DockPane PaneAtPoint(Point pt, DockPanel dockPanel) {
+      for (Control control = Win32Helper.ControlAtPoint(pt); control != null; control = control.Parent) {
+        IDockContent content = control as IDockContent;
+        if (content != null && content.DockHandler.DockPanel == dockPanel)
+          return content.DockHandler.Pane;
 
-				DockPane pane = control as DockPane;
-				if (pane != null && pane.DockPanel == dockPanel)
-					return pane;
-			}
+        DockPane pane = control as DockPane;
+        if (pane != null && pane.DockPanel == dockPanel)
+          return pane;
+      }
 
-			return null;
-		}
+      return null;
+    }
 
-		public static FloatWindow FloatWindowAtPoint(Point pt, DockPanel dockPanel)
-		{
-			for (Control control = Win32Helper.ControlAtPoint(pt); control != null; control = control.Parent)
-			{
-				FloatWindow floatWindow = control as FloatWindow;
-				if (floatWindow != null && floatWindow.DockPanel == dockPanel)
-					return floatWindow;
-			}
+    public static FloatWindow FloatWindowAtPoint(Point pt, DockPanel dockPanel) {
+      for (Control control = Win32Helper.ControlAtPoint(pt); control != null; control = control.Parent) {
+        FloatWindow floatWindow = control as FloatWindow;
+        if (floatWindow != null && floatWindow.DockPanel == dockPanel)
+          return floatWindow;
+      }
 
-			return null;
-		}
-	}
+      return null;
+    }
+  }
 }
Index: /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.WinFormsUI/2.3.1/WinFormsUI-2.3.1/Docking/Helpers/DrawHelper.cs
===================================================================
--- /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.WinFormsUI/2.3.1/WinFormsUI-2.3.1/Docking/Helpers/DrawHelper.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.WinFormsUI/2.3.1/WinFormsUI-2.3.1/Docking/Helpers/DrawHelper.cs	(revision 4068)
@@ -1,88 +1,73 @@
-using System;
 using System.Drawing;
 using System.Drawing.Drawing2D;
-using System.Drawing.Imaging;
 using System.Windows.Forms;
 
-namespace WeifenLuo.WinFormsUI.Docking
-{
-	internal static class DrawHelper
-	{
-        public static Point RtlTransform(Control control, Point point)
-        {
-            if (control.RightToLeft != RightToLeft.Yes)
-                return point;
-            else
-                return new Point(control.Right - point.X, point.Y);
+namespace WeifenLuo.WinFormsUI.Docking {
+  internal static class DrawHelper {
+    public static Point RtlTransform(Control control, Point point) {
+      if (control.RightToLeft != RightToLeft.Yes)
+        return point;
+      else
+        return new Point(control.Right - point.X, point.Y);
+    }
+
+    public static Rectangle RtlTransform(Control control, Rectangle rectangle) {
+      if (control.RightToLeft != RightToLeft.Yes)
+        return rectangle;
+      else
+        return new Rectangle(control.ClientRectangle.Right - rectangle.Right, rectangle.Y, rectangle.Width, rectangle.Height);
+    }
+
+    public static GraphicsPath GetRoundedCornerTab(GraphicsPath graphicsPath, Rectangle rect, bool upCorner) {
+      if (graphicsPath == null)
+        graphicsPath = new GraphicsPath();
+      else
+        graphicsPath.Reset();
+
+      int curveSize = 6;
+      if (upCorner) {
+        graphicsPath.AddLine(rect.Left, rect.Bottom, rect.Left, rect.Top + curveSize / 2);
+        graphicsPath.AddArc(new Rectangle(rect.Left, rect.Top, curveSize, curveSize), 180, 90);
+        graphicsPath.AddLine(rect.Left + curveSize / 2, rect.Top, rect.Right - curveSize / 2, rect.Top);
+        graphicsPath.AddArc(new Rectangle(rect.Right - curveSize, rect.Top, curveSize, curveSize), -90, 90);
+        graphicsPath.AddLine(rect.Right, rect.Top + curveSize / 2, rect.Right, rect.Bottom);
+      } else {
+        graphicsPath.AddLine(rect.Right, rect.Top, rect.Right, rect.Bottom - curveSize / 2);
+        graphicsPath.AddArc(new Rectangle(rect.Right - curveSize, rect.Bottom - curveSize, curveSize, curveSize), 0, 90);
+        graphicsPath.AddLine(rect.Right - curveSize / 2, rect.Bottom, rect.Left + curveSize / 2, rect.Bottom);
+        graphicsPath.AddArc(new Rectangle(rect.Left, rect.Bottom - curveSize, curveSize, curveSize), 90, 90);
+        graphicsPath.AddLine(rect.Left, rect.Bottom - curveSize / 2, rect.Left, rect.Top);
+      }
+
+      return graphicsPath;
+    }
+
+    public static GraphicsPath CalculateGraphicsPathFromBitmap(Bitmap bitmap) {
+      return CalculateGraphicsPathFromBitmap(bitmap, Color.Empty);
+    }
+
+    // From http://edu.cnzz.cn/show_3281.html
+    public static GraphicsPath CalculateGraphicsPathFromBitmap(Bitmap bitmap, Color colorTransparent) {
+      GraphicsPath graphicsPath = new GraphicsPath();
+      if (colorTransparent == Color.Empty)
+        colorTransparent = bitmap.GetPixel(0, 0);
+
+      for (int row = 0; row < bitmap.Height; row++) {
+        int colOpaquePixel = 0;
+        for (int col = 0; col < bitmap.Width; col++) {
+          if (bitmap.GetPixel(col, row) != colorTransparent) {
+            colOpaquePixel = col;
+            int colNext = col;
+            for (colNext = colOpaquePixel; colNext < bitmap.Width; colNext++)
+              if (bitmap.GetPixel(colNext, row) == colorTransparent)
+                break;
+
+            graphicsPath.AddRectangle(new Rectangle(colOpaquePixel, row, colNext - colOpaquePixel, 1));
+            col = colNext;
+          }
         }
-
-        public static Rectangle RtlTransform(Control control, Rectangle rectangle)
-        {
-            if (control.RightToLeft != RightToLeft.Yes)
-                return rectangle;
-            else
-                return new Rectangle(control.ClientRectangle.Right - rectangle.Right, rectangle.Y, rectangle.Width, rectangle.Height);
-        }
-
-        public static GraphicsPath GetRoundedCornerTab(GraphicsPath graphicsPath, Rectangle rect, bool upCorner)
-        {
-            if (graphicsPath == null)
-                graphicsPath = new GraphicsPath();
-            else
-                graphicsPath.Reset();
-            
-            int curveSize = 6;
-            if (upCorner)
-            {
-                graphicsPath.AddLine(rect.Left, rect.Bottom, rect.Left, rect.Top + curveSize / 2);
-                graphicsPath.AddArc(new Rectangle(rect.Left, rect.Top, curveSize, curveSize), 180, 90);
-                graphicsPath.AddLine(rect.Left + curveSize / 2, rect.Top, rect.Right - curveSize / 2, rect.Top);
-                graphicsPath.AddArc(new Rectangle(rect.Right - curveSize, rect.Top, curveSize, curveSize), -90, 90);
-                graphicsPath.AddLine(rect.Right, rect.Top + curveSize / 2, rect.Right, rect.Bottom);
-            }
-            else
-            {
-                graphicsPath.AddLine(rect.Right, rect.Top, rect.Right, rect.Bottom - curveSize / 2);
-                graphicsPath.AddArc(new Rectangle(rect.Right - curveSize, rect.Bottom - curveSize, curveSize, curveSize), 0, 90);
-                graphicsPath.AddLine(rect.Right - curveSize / 2, rect.Bottom, rect.Left + curveSize / 2, rect.Bottom);
-                graphicsPath.AddArc(new Rectangle(rect.Left, rect.Bottom - curveSize, curveSize, curveSize), 90, 90);
-                graphicsPath.AddLine(rect.Left, rect.Bottom - curveSize / 2, rect.Left, rect.Top);
-            }
-
-            return graphicsPath;
-        }
-
-		public static GraphicsPath CalculateGraphicsPathFromBitmap(Bitmap bitmap)
-		{
-			return CalculateGraphicsPathFromBitmap(bitmap, Color.Empty);
-		}
-
-		// From http://edu.cnzz.cn/show_3281.html
-		public static GraphicsPath CalculateGraphicsPathFromBitmap(Bitmap bitmap, Color colorTransparent) 
-		{ 
-			GraphicsPath graphicsPath = new GraphicsPath(); 
-			if (colorTransparent == Color.Empty)
-				colorTransparent = bitmap.GetPixel(0, 0); 
-
-			for(int row = 0; row < bitmap.Height; row ++) 
-			{ 
-				int colOpaquePixel = 0;
-				for(int col = 0; col < bitmap.Width; col ++) 
-				{ 
-					if(bitmap.GetPixel(col, row) != colorTransparent) 
-					{ 
-						colOpaquePixel = col; 
-						int colNext = col; 
-						for(colNext = colOpaquePixel; colNext < bitmap.Width; colNext ++) 
-							if(bitmap.GetPixel(colNext, row) == colorTransparent) 
-								break;
- 
-						graphicsPath.AddRectangle(new Rectangle(colOpaquePixel, row, colNext - colOpaquePixel, 1)); 
-						col = colNext; 
-					} 
-				} 
-			} 
-			return graphicsPath; 
-		} 
-	}
+      }
+      return graphicsPath;
+    }
+  }
 }
Index: /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.WinFormsUI/2.3.1/WinFormsUI-2.3.1/Docking/Helpers/ResourceHelper.cs
===================================================================
--- /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.WinFormsUI/2.3.1/WinFormsUI-2.3.1/Docking/Helpers/ResourceHelper.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.WinFormsUI/2.3.1/WinFormsUI-2.3.1/Docking/Helpers/ResourceHelper.cs	(revision 4068)
@@ -1,29 +1,20 @@
-using System;
-using System.Drawing;
-using System.Reflection;
 using System.Resources;
-using System.Windows.Forms;
 
-namespace WeifenLuo.WinFormsUI.Docking
-{
-	internal static class ResourceHelper
-	{
-        private static ResourceManager _resourceManager = null;
+namespace WeifenLuo.WinFormsUI.Docking {
+  internal static class ResourceHelper {
+    private static ResourceManager _resourceManager = null;
 
-        private static ResourceManager ResourceManager
-        {
-            get
-            {
-                if (_resourceManager == null)
-                    _resourceManager = new ResourceManager("WeifenLuo.WinFormsUI.Docking.Strings", typeof(ResourceHelper).Assembly);
-                return _resourceManager;
-            }
+    private static ResourceManager ResourceManager {
+      get {
+        if (_resourceManager == null)
+          _resourceManager = new ResourceManager("WeifenLuo.WinFormsUI.Docking.Strings", typeof(ResourceHelper).Assembly);
+        return _resourceManager;
+      }
 
-        }
+    }
 
-		public static string GetString(string name)
-		{
-			return ResourceManager.GetString(name);
-		}
-	}
+    public static string GetString(string name) {
+      return ResourceManager.GetString(name);
+    }
+  }
 }
Index: /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.WinFormsUI/2.3.1/WinFormsUI-2.3.1/Docking/Helpers/Win32Helper.cs
===================================================================
--- /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.WinFormsUI/2.3.1/WinFormsUI-2.3.1/Docking/Helpers/Win32Helper.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.WinFormsUI/2.3.1/WinFormsUI-2.3.1/Docking/Helpers/Win32Helper.cs	(revision 4068)
@@ -1,19 +1,14 @@
-using System;
 using System.Drawing;
 using System.Windows.Forms;
 
-namespace WeifenLuo.WinFormsUI.Docking
-{
-	internal static class Win32Helper
-	{
-		public static Control ControlAtPoint(Point pt)
-		{
-			return Control.FromChildHandle(NativeMethods.WindowFromPoint(pt));
-		}
+namespace WeifenLuo.WinFormsUI.Docking {
+  internal static class Win32Helper {
+    public static Control ControlAtPoint(Point pt) {
+      return Control.FromChildHandle(NativeMethods.WindowFromPoint(pt));
+    }
 
-		public static uint MakeLong(int low, int high)
-		{
-			return (uint)((high << 16) + low);
-		}
-	}
+    public static uint MakeLong(int low, int high) {
+      return (uint)((high << 16) + low);
+    }
+  }
 }
Index: /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.WinFormsUI/2.3.1/WinFormsUI-2.3.1/Docking/InertButtonBase.cs
===================================================================
--- /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.WinFormsUI/2.3.1/WinFormsUI-2.3.1/Docking/InertButtonBase.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.WinFormsUI/2.3.1/WinFormsUI-2.3.1/Docking/InertButtonBase.cs	(revision 4068)
@@ -1,115 +1,97 @@
 using System;
-using System.Collections.Generic;
-using System.Text;
-using System.Windows.Forms;
 using System.Drawing;
 using System.Drawing.Imaging;
+using System.Windows.Forms;
 
-namespace WeifenLuo.WinFormsUI.Docking
-{
-    internal abstract class InertButtonBase : Control
-    {
-        protected InertButtonBase()
-        {
-            SetStyle(ControlStyles.SupportsTransparentBackColor, true);
-            BackColor = Color.Transparent;
+namespace WeifenLuo.WinFormsUI.Docking {
+  internal abstract class InertButtonBase : Control {
+    protected InertButtonBase() {
+      SetStyle(ControlStyles.SupportsTransparentBackColor, true);
+      BackColor = Color.Transparent;
+    }
+
+    public abstract Bitmap Image {
+      get;
+    }
+
+    private bool m_isMouseOver = false;
+    protected bool IsMouseOver {
+      get { return m_isMouseOver; }
+      private set {
+        if (m_isMouseOver == value)
+          return;
+
+        m_isMouseOver = value;
+        Invalidate();
+      }
+    }
+
+    protected override Size DefaultSize {
+      get { return Resources.DockPane_Close.Size; }
+    }
+
+    protected override void OnMouseMove(MouseEventArgs e) {
+      base.OnMouseMove(e);
+      bool over = ClientRectangle.Contains(e.X, e.Y);
+      if (IsMouseOver != over)
+        IsMouseOver = over;
+    }
+
+    protected override void OnMouseEnter(EventArgs e) {
+      base.OnMouseEnter(e);
+      if (!IsMouseOver)
+        IsMouseOver = true;
+    }
+
+    protected override void OnMouseLeave(EventArgs e) {
+      base.OnMouseLeave(e);
+      if (IsMouseOver)
+        IsMouseOver = false;
+    }
+
+    protected override void OnPaint(PaintEventArgs e) {
+      if (IsMouseOver && Enabled) {
+        using (Pen pen = new Pen(ForeColor)) {
+          e.Graphics.DrawRectangle(pen, Rectangle.Inflate(ClientRectangle, -1, -1));
         }
+      }
 
-        public abstract Bitmap Image
-        {
-            get;
-        }
+      using (ImageAttributes imageAttributes = new ImageAttributes()) {
+        ColorMap[] colorMap = new ColorMap[2];
+        colorMap[0] = new ColorMap();
+        colorMap[0].OldColor = Color.FromArgb(0, 0, 0);
+        colorMap[0].NewColor = ForeColor;
+        colorMap[1] = new ColorMap();
+        colorMap[1].OldColor = Image.GetPixel(0, 0);
+        colorMap[1].NewColor = Color.Transparent;
 
-        private bool m_isMouseOver = false;
-        protected bool IsMouseOver
-        {
-            get { return m_isMouseOver; }
-            private set
-            {
-                if (m_isMouseOver == value)
-                    return;
+        imageAttributes.SetRemapTable(colorMap);
 
-                m_isMouseOver = value;
-                Invalidate();
-            }
-        }
+        e.Graphics.DrawImage(
+           Image,
+           new Rectangle(0, 0, Image.Width, Image.Height),
+           0, 0,
+           Image.Width,
+           Image.Height,
+           GraphicsUnit.Pixel,
+           imageAttributes);
+      }
 
-        protected override Size DefaultSize
-        {
-            get { return Resources.DockPane_Close.Size; }
-        }
+      base.OnPaint(e);
+    }
 
-        protected override void OnMouseMove(MouseEventArgs e)
-        {
-            base.OnMouseMove(e);
-            bool over = ClientRectangle.Contains(e.X, e.Y);
-            if (IsMouseOver != over)
-                IsMouseOver = over;
-        }
+    public void RefreshChanges() {
+      if (IsDisposed)
+        return;
 
-        protected override void OnMouseEnter(EventArgs e)
-        {
-            base.OnMouseEnter(e);
-            if (!IsMouseOver)
-                IsMouseOver = true;
-        }
+      bool mouseOver = ClientRectangle.Contains(PointToClient(Control.MousePosition));
+      if (mouseOver != IsMouseOver)
+        IsMouseOver = mouseOver;
 
-        protected override void OnMouseLeave(EventArgs e)
-        {
-            base.OnMouseLeave(e);
-            if (IsMouseOver)
-                IsMouseOver = false;
-        }
+      OnRefreshChanges();
+    }
 
-        protected override void OnPaint(PaintEventArgs e)
-        {
-            if (IsMouseOver && Enabled)
-            {
-                using (Pen pen = new Pen(ForeColor))
-                {
-                    e.Graphics.DrawRectangle(pen, Rectangle.Inflate(ClientRectangle, -1, -1));
-                }
-            }
-
-            using (ImageAttributes imageAttributes = new ImageAttributes())
-            {
-                ColorMap[] colorMap = new ColorMap[2];
-                colorMap[0] = new ColorMap();
-                colorMap[0].OldColor = Color.FromArgb(0, 0, 0);
-                colorMap[0].NewColor = ForeColor;
-                colorMap[1] = new ColorMap();
-                colorMap[1].OldColor = Image.GetPixel(0, 0);
-                colorMap[1].NewColor = Color.Transparent;
-
-                imageAttributes.SetRemapTable(colorMap);
-
-                e.Graphics.DrawImage(
-                   Image,
-                   new Rectangle(0, 0, Image.Width, Image.Height),
-                   0, 0,
-                   Image.Width,
-                   Image.Height,
-                   GraphicsUnit.Pixel,
-                   imageAttributes);
-            }
-
-            base.OnPaint(e);
-        }
-
-        public void RefreshChanges()
-        {
-            if (IsDisposed)
-                return;
-
-            bool mouseOver = ClientRectangle.Contains(PointToClient(Control.MousePosition));
-            if (mouseOver != IsMouseOver)
-                IsMouseOver = mouseOver;
-
-            OnRefreshChanges();
-        }
-
-        protected virtual void OnRefreshChanges()
-        {
-        }
+    protected virtual void OnRefreshChanges() {
     }
+  }
 }
Index: /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.WinFormsUI/2.3.1/WinFormsUI-2.3.1/Docking/Measures.cs
===================================================================
--- /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.WinFormsUI/2.3.1/WinFormsUI-2.3.1/Docking/Measures.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.WinFormsUI/2.3.1/WinFormsUI-2.3.1/Docking/Measures.cs	(revision 4068)
@@ -1,14 +1,10 @@
-using System;
 
-namespace WeifenLuo.WinFormsUI.Docking
-{
-	internal static class Measures
-	{
-		public const int SplitterSize = 4;
-	}
+namespace WeifenLuo.WinFormsUI.Docking {
+  internal static class Measures {
+    public const int SplitterSize = 4;
+  }
 
-	internal static class MeasurePane
-	{
-		public const int MinSize = 24;
-	}
+  internal static class MeasurePane {
+    public const int MinSize = 24;
+  }
 }
Index: /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.WinFormsUI/2.3.1/WinFormsUI-2.3.1/Docking/NestedDockingStatus.cs
===================================================================
--- /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.WinFormsUI/2.3.1/WinFormsUI-2.3.1/Docking/NestedDockingStatus.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.WinFormsUI/2.3.1/WinFormsUI-2.3.1/Docking/NestedDockingStatus.cs	(revision 4068)
@@ -1,108 +1,89 @@
-using System;
 using System.Drawing;
 
-namespace WeifenLuo.WinFormsUI.Docking
-{
-	public sealed class NestedDockingStatus
-	{
-		internal NestedDockingStatus(DockPane pane)
-		{
-			m_dockPane = pane;
-		}
+namespace WeifenLuo.WinFormsUI.Docking {
+  public sealed class NestedDockingStatus {
+    internal NestedDockingStatus(DockPane pane) {
+      m_dockPane = pane;
+    }
 
-		private DockPane m_dockPane = null;
-		public DockPane DockPane
-		{
-			get	{	return m_dockPane;	}
-		}
-		
-		private NestedPaneCollection m_nestedPanes = null;
-		public NestedPaneCollection NestedPanes
-		{
-			get	{	return m_nestedPanes;	}
-		}
-		
-		private DockPane m_previousPane = null;
-		public DockPane PreviousPane
-		{
-			get	{	return m_previousPane;	}
-		}
+    private DockPane m_dockPane = null;
+    public DockPane DockPane {
+      get { return m_dockPane; }
+    }
 
-		private DockAlignment m_alignment = DockAlignment.Left;
-		public DockAlignment Alignment
-		{
-			get	{	return m_alignment;	}
-		}
+    private NestedPaneCollection m_nestedPanes = null;
+    public NestedPaneCollection NestedPanes {
+      get { return m_nestedPanes; }
+    }
 
-		private double m_proportion = 0.5;
-		public double Proportion
-		{
-			get	{	return m_proportion;	}
-		}
+    private DockPane m_previousPane = null;
+    public DockPane PreviousPane {
+      get { return m_previousPane; }
+    }
 
-		private bool m_isDisplaying = false;
-		public bool IsDisplaying
-		{
-			get	{	return m_isDisplaying;	}
-		}
+    private DockAlignment m_alignment = DockAlignment.Left;
+    public DockAlignment Alignment {
+      get { return m_alignment; }
+    }
 
-		private DockPane m_displayingPreviousPane = null;
-		public DockPane DisplayingPreviousPane
-		{
-			get	{	return m_displayingPreviousPane;	}
-		}
+    private double m_proportion = 0.5;
+    public double Proportion {
+      get { return m_proportion; }
+    }
 
-		private DockAlignment m_displayingAlignment = DockAlignment.Left;
-		public DockAlignment DisplayingAlignment
-		{
-			get	{	return m_displayingAlignment;	}
-		}
+    private bool m_isDisplaying = false;
+    public bool IsDisplaying {
+      get { return m_isDisplaying; }
+    }
 
-		private double m_displayingProportion = 0.5;
-		public double DisplayingProportion
-		{
-			get	{	return m_displayingProportion;	}
-		}
+    private DockPane m_displayingPreviousPane = null;
+    public DockPane DisplayingPreviousPane {
+      get { return m_displayingPreviousPane; }
+    }
 
-		private Rectangle m_logicalBounds = Rectangle.Empty; 
-		public Rectangle LogicalBounds
-		{
-			get	{	return m_logicalBounds;	}
-		}
+    private DockAlignment m_displayingAlignment = DockAlignment.Left;
+    public DockAlignment DisplayingAlignment {
+      get { return m_displayingAlignment; }
+    }
 
-		private Rectangle m_paneBounds = Rectangle.Empty;
-		public Rectangle PaneBounds
-		{
-			get	{	return m_paneBounds;	}
-		}
+    private double m_displayingProportion = 0.5;
+    public double DisplayingProportion {
+      get { return m_displayingProportion; }
+    }
 
-		private Rectangle m_splitterBounds = Rectangle.Empty;
-		public Rectangle SplitterBounds
-		{
-			get	{	return m_splitterBounds;	}
-		}
+    private Rectangle m_logicalBounds = Rectangle.Empty;
+    public Rectangle LogicalBounds {
+      get { return m_logicalBounds; }
+    }
 
-		internal void SetStatus(NestedPaneCollection nestedPanes, DockPane previousPane, DockAlignment alignment, double proportion)
-		{
-			m_nestedPanes = nestedPanes;
-			m_previousPane = previousPane;
-			m_alignment = alignment;
-			m_proportion = proportion;
-		}
+    private Rectangle m_paneBounds = Rectangle.Empty;
+    public Rectangle PaneBounds {
+      get { return m_paneBounds; }
+    }
 
-		internal void SetDisplayingStatus(bool isDisplaying, DockPane displayingPreviousPane, DockAlignment displayingAlignment, double displayingProportion)
-		{
-			m_isDisplaying = isDisplaying;
-			m_displayingPreviousPane = displayingPreviousPane;
-			m_displayingAlignment = displayingAlignment;
-			m_displayingProportion = displayingProportion;
-		}
+    private Rectangle m_splitterBounds = Rectangle.Empty;
+    public Rectangle SplitterBounds {
+      get { return m_splitterBounds; }
+    }
 
-		internal void SetDisplayingBounds(Rectangle logicalBounds, Rectangle paneBounds, Rectangle splitterBounds)
-		{
-			m_logicalBounds = logicalBounds;
-			m_paneBounds = paneBounds;
-			m_splitterBounds = splitterBounds;
-		}
-	}
+    internal void SetStatus(NestedPaneCollection nestedPanes, DockPane previousPane, DockAlignment alignment, double proportion) {
+      m_nestedPanes = nestedPanes;
+      m_previousPane = previousPane;
+      m_alignment = alignment;
+      m_proportion = proportion;
+    }
+
+    internal void SetDisplayingStatus(bool isDisplaying, DockPane displayingPreviousPane, DockAlignment displayingAlignment, double displayingProportion) {
+      m_isDisplaying = isDisplaying;
+      m_displayingPreviousPane = displayingPreviousPane;
+      m_displayingAlignment = displayingAlignment;
+      m_displayingProportion = displayingProportion;
+    }
+
+    internal void SetDisplayingBounds(Rectangle logicalBounds, Rectangle paneBounds, Rectangle splitterBounds) {
+      m_logicalBounds = logicalBounds;
+      m_paneBounds = paneBounds;
+      m_splitterBounds = splitterBounds;
+    }
+  }
 }
